unit demoformat;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfraDemoFormats = class(TFrame)
    Panel1: TPanel;
    Label1: TLabel;
    Panel2: TPanel;
    Memo1: TMemo;
    Button3: TButton;
    cbOpenAfterSave: TCheckBox;
    Panel3: TPanel;
    Label2: TLabel;
    Image1: TImage;
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses XLSFile, Main;

procedure TfraDemoFormats.Button3Click(Sender: TObject);
var
  xf: TXLSFile;
  I: integer;
  FileName: String;
begin
  FileName:= GetNextDemoFileName;

  { Create TXLSFile object.
    After creation it contains one sheet }
  xf:= TXLSFile.Create;
  try
    { apply built-in formats }
    for I:= 0 to 12 do
    begin
      { Set cell value }
      xf.Workbook.Sheets[0].Cells[I, 0].Value:= 12345.123456789;
      xf.Workbook.Sheets[0].Cells[I, 1].Value:= -12345.123456789;
      { Set format index }
      xf.Workbook.Sheets[0].Cells[I, 0].FormatStringIndex:= I;
      xf.Workbook.Sheets[0].Cells[I, 1].FormatStringIndex:= I;
    end;
    { Save workbook data to Excel file }
    xf.SaveAs(FileName);
  finally
    xf.Destroy;
  end;

 if cbOpenAfterSave.Checked then
   OpenFile(FileName)
  else
    Application.MessageBox(
      PChar('Result saved to ' + FileName), 'File saved', MB_OK);
end;

end.
