unit demospeed;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfraDemoSpeed = class(TFrame)
    Panel1: TPanel;
    Label1: TLabel;
    Panel2: TPanel;
    Memo1: TMemo;
    Button3: TButton;
    Panel3: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
{$R *.DFM}

uses XLSFile, Main;

procedure TfraDemoSpeed.Button3Click(Sender: TObject);
var
  D: TDateTime;
  T: Double;
  xf: TXLSFile;
  I: integer;
  OldCursor: TCursor;
  FileName: String;
begin
  FileName:= GetNextDemoFileName;

  OldCursor:= Screen.Cursor;
  Screen.Cursor:= crHourGlass;
  D:= Now;

  { Create TXLSFile object.
    After creation it contains one sheet }
  xf:= TXLSFile.Create;
  try
    with xf.Workbook.Sheets[0] do
    begin
      { write cell values }
      for I:= 1 to 10000 do
        Cells[I, 1].Value:= 'Demo' + IntToStr(I);
    end;

    { Save workbook data to Excel file }
    xf.SaveAs(FileName);
  finally
    xf.Destroy;
    Screen.Cursor:= OldCursor;
  end;

  T:= (Now - D) * SecsPerDay;
  Label8.Caption:= FormatFloat('0.0000', T) + ' seconds';
end;

end.
